<template>
  <div
    class="
      grid
      px-4
      py-3
      text-xs
      font-semibold
      tracking-wide
      text-gray-500
      uppercase
      border-t
      dark:border-gray-700
      bg-white
      sm:grid-cols-8
      dark:text-gray-400
      dark:bg-gray-800
    "
  >
    <span class="flex items-center col-span-2">
      Showing {{ from }}-{{ to }} of {{ total }}
    </span>
    <!-- <span class="col-span-2" /> -->

    <span
      v-if="links.length > 3"
      class="flex col-span-6 mt-2 sm:mt-auto sm:justify-end"
    >
      <nav aria-label="Table navigation">
        <ul class="inline-flex items-center">
          <li v-for="(link, index) in links" :key="index">
            <Link
              v-if="link.url === null"
              class="
                px-3
                py-1
                rounded-md rounded-l-lg
                focus:outline-none
                focus:shadow-outline-yellow
                disabled:opacity-50
              "
              aria-label="Previous"
              v-html="link.label"
            ></Link>
            <Link
              v-else
              class="
                px-3
                py-1
                rounded-md rounded-l-lg
                focus:outline-none
                focus:shadow-outline-yellow
              "
              :class="{
                'px-3 py-1 text-white transition-colors duration-150 bg-yellow-600 border border-r-0 border-yellow-600 rounded-md focus:outline-none focus:shadow-outline-yellow':
                  link.active,
              }"
              :href="link.url"
              v-html="link.label"
            ></Link>
          </li>
        </ul>
      </nav>
    </span>
  </div>
</template>

<script>
import { Link } from "@inertiajs/inertia-vue3";
export default {
  components: {
    Link,
  },
  props: ["links", "from", "to", "total"],
};
</script>